using Hecke, Nemo

l=ZZ(11)
δ_l = divexact(l^2-1,24)
β = -δ_l

b0(Q::fmpz) = divexact(Q^3*(1- 24*β) + 1,24)

for Q in PrimesSet(ZZ(1), ZZ(10000), ZZ(24*l), ZZ(-1))
  if divisible(number_of_partitions(b0(Q)),l)
    @info "checking" Q
    if all(divisible(number_of_partitions(b0(Q) + l*Q^2*n),l) for n in 1:10)
      @info "valid?" Q
    end
  end
end


Q = ZZ(263)
A = l*Q^2
B = mod(b0(Q),A)
all(divisible(number_of_partitions(A*n+B),l) for n in 1:A)
