using Nemo, Hecke

q = first(PrimesSet(100,-1,4,3))
l = first(PrimesSet(100,-1,q,1))

R,x = PolynomialRing(ZZ,"x")
cyc = cyclotomic(q,x)
R,x = PolynomialRing(GF(l),"x")
zeta = -coeff(first(Hecke.factor(R(cyc)))[1],0)

kloosterman(a) = kloosterman(zeta,a)
kloosterman(zeta,a) = divisible(a,q) ? GF(l)(-1) : sum(zeta^(x1+a*invmod(x1,q)) for x1 in 1:q-1)


sum(kloosterman(a) for a in 0:q-1) == 0

# Pulling out square factors
all(kloosterman(a*b^2) == kloosterman(zeta^b,a) for a in 1:q-1 for b in 1:q-1)
